### Type parameters

### Hierarchy

- Message

## Index

### Properties

- delay
- layerUid
- msg
- popup
- target
- type

## Properties

### delay

delay: number

- Defined in src/disclaimer/component.js:40

The delay in milliseconds the message is shown

### layerUid

layerUid: string

- Defined in src/disclaimer/component.js:46

The layer ID

### msg

msg: string

- Defined in src/disclaimer/component.js:42

The message text to display.

### popup

popup: boolean

- Defined in src/disclaimer/component.js:41

Whether the message should be displayed inside a popup window or not.

### target

target: string | Element | JQuery<HTMLElement>

- Defined in src/disclaimer/component.js:43

The target element (or selector to get the element) in which to display the message. If not defined, then the default target of the notification service is used.

### type

type: string

- Defined in src/disclaimer/component.js:45

The type of message.

Generated using TypeDoc